Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.validation.bic
Class BICDir

    java.lang.Object
      com.stc.swift.validation.bic.BICDir

    public class BICDir

extends java.lang.Object

Constructor Summary
`BICDir()`

Method Summary
`static java.lang.String[]` | `getBIC(java.lang.String institutionName)` Returns an array for BIC matching the Institution Name passed.
`static java.lang.String[]` | `getBIC(java.lang.String institutionName, java.lang.String city, java.lang.String country)` Returns an array for BIC matching the Institution Name, City and Country values passed.
`static java.util.HashMap` | `getBICMap()` Returns BICMap
`static java.lang.String[]` | `getCountryCode(java.lang.String currencyCode)` Returns the country code of the currency code passed in
`static java.util.HashMap` | `getCountryMap()` Returns CountryMap
`static java.lang.String` | `getCurrencyCode(java.lang.String countryCode)` Returns the currency code of the country code passed in
`static java.util.HashMap` | `getCurrencyMap()` Returns CurrencyMap
`static java.util.HashMap` | `getICCMap()` Returns ICCMap
`static java.util.HashMap` | `getInstitutionMap()` Returns InstitutionMap
`static java.lang.String[]` | `getInstitutionName(java.lang.String BIC)` Returns an array of Institution names having the BIC passed in
`static java.util.HashMap` | `getNewCountryMap()` Returns newCountryMap
`static void` | `main(java.lang.String[] args)`
`static boolean` | `validateBIC(java.lang.String BIC)` Checks whether BIC passed in is a valid one or not
`static boolean` | `validateCountryCode(java.lang.String countryCode)` Checks whether country code passed in is a valid one or not
`static boolean` | `validateCurrencyCode(java.lang.String currencyCode)` Checks whether currency code passed in is a valid one or not

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BICDir

    public BICDir()

Method Detail

### getBICMap

    public static java.util.HashMap getBICMap()

  Returns BICMap

### getCurrencyMap

    public static java.util.HashMap getCurrencyMap()

  Returns CurrencyMap

### getCountryMap

    public static java.util.HashMap getCountryMap()

  Returns CountryMap

### getNewCountryMap

    public static java.util.HashMap getNewCountryMap()

  Returns newCountryMap

### getInstitutionMap

    public static java.util.HashMap getInstitutionMap()

  Returns InstitutionMap

### getICCMap

    public static java.util.HashMap getICCMap()

  Returns ICCMap

### validateBIC

    public static boolean validateBIC(java.lang.String BIC)

  Checks whether BIC passed in is a valid one or not

### validateCurrencyCode

    public static boolean validateCurrencyCode(java.lang.String currencyCode)

  Checks whether currency code passed in is a valid one or not

### validateCountryCode

    public static boolean validateCountryCode(java.lang.String countryCode)

  Checks whether country code passed in is a valid one or not

### getBIC

    public static java.lang.String[] getBIC(java.lang.String institutionName)

  Returns an array for BIC matching the Institution Name passed.

### getBIC

    public static java.lang.String[] getBIC(java.lang.String institutionName,
                                            java.lang.String city,
                                            java.lang.String country)

  Returns an array for BIC matching the Institution Name, City and Country values passed.

### getInstitutionName

    public static java.lang.String[] getInstitutionName(java.lang.String BIC)

  Returns an array of Institution names having the BIC passed in

### getCurrencyCode

    public static java.lang.String getCurrencyCode(java.lang.String countryCode)

  Returns the currency code of the country code passed in

### getCountryCode

    public static java.lang.String[] getCountryCode(java.lang.String currencyCode)

  Returns the country code of the currency code passed in

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.